=== docs/Makefile ===

all:
	@make -C manpages
	@make -C html

clean:
	@make -C manpages clean
	@make -C html clean

install:
	@make -C manpages install
	@make -C html install

uninstall:
	@make -C manpages uninstall
	@make -C html uninstall
	
.PHONY : all clean install uninstall
